<p align="center"><img alt="strawberry-css logo" src="img/logo-strawberry.png" width="600px"></p>
<br><br>


# Strawberry CSS [![NPM version](https://img.shields.io/npm/v/strawberry-css.svg)](https://www.npmjs.com/package/strawberry-css) [![license](https://img.shields.io/github/license/mashape/apistatus.svg)](https://github.com/jfet97/strawberry/blob/master/LICENSE)


## What

Strawberry is a new flexbox based CSS micro-framework.
A set of common flexbox's utilities focused on making your life easier and faster with nested flexboxes.

> Have a look at the [website](https://jfet97.github.io/strawberry/)<br>
> Read about it [on Medium](https://medium.com/@andreasimonecosta/strawberry-a-new-flexbox-based-css-micro-framework-42ff9be49468).

## How

```sh
$ npm i --save strawberry-css
```

or

```html
<link rel="stylesheet" href="https://unpkg.com/strawberry-css/dist/strawberry.min.css">

```

## Why

1. It's light: less than 8Kb
2. It’s powerful: create Flexbox-based layouts in few lines of code
3. No preset graphic style: it helps you create layouts without messing up your life
4. No conflicts with other used framework in the same project: all classes start with the sb- prefix
5. Easy to override: strawberry never use !important

## Wiki
[Read the wiki!](https://github.com/jfet97/strawberry/wiki)

## Bugs
Have you found something wrong?
1) Read and apply [these guidelines](https://github.com/jfet97/strawberry/blob/master/.github/ISSUE_TEMPLATE/bug_report.md)
2) Feel free to [open an issue](https://github.com/jfet97/strawberry/issues) or to email us at [andrysimo1997@gmail.com].

## Features
Would you like to see a new feature added?
1) Read and apply [these guidelines](https://github.com/jfet97/strawberry/blob/master/.github/ISSUE_TEMPLATE/feature_request.md)
2) Feel free to [open an issue](https://github.com/jfet97/strawberry/issues) or to email us at [andrysimo1997@gmail.com].

## Contributing

Please read [CONTRIBUTING.md](https://github.com/jfet97/strawberry/blob/master/CONTRIBUTING.md) for details on our code of conduct, and the process for submitting pull requests to us.

## Versioning

We use [SemVer](http://semver.org/) for versioning. For the versions available, click [here](https://github.com/jfet97/strawberry/releases). 

## Author

* **Andrea Simone Costa** aka [jfet97](https://github.com/jfet97)

See also the list of [contributors](https://github.com/jfet97/strawberry/graphs/contributors) who participated in this project.

## License

MIT
